Bug 1375120 (CVE-2016-5824) - CVE-2016-5824 libical: Multiple use-after-free vulnerabilities
Summary: CVE-2016-5824 libical: Multiple use-after-free vulnerabilities
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5824
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1670637 1375121 1375122 1375123 1670636 1670638 1670640
Blocks: 1350494 1670486
TreeView+ depends on / blocked
 
Reported: 2016-09-12 08:31 UTC by Adam Mariš
Modified: 2019-09-29 13:56 UTC (History)
10 users (show)

Fixed In Version: thunderbird 60.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:58:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0269 None None None 2019-02-04 20:41:44 UTC
Red Hat Product Errata RHSA-2019:0270 None None None 2019-02-04 20:42:05 UTC

Description Adam Mariš 2016-09-12 08:31:22 UTC
Multiple use after free vulnerabilities possibly having the same root cause was found in libical.

Upstream bug:

https://bugzilla.mozilla.org/show_bug.cgi?id=1275400

CVE assignment:

http://seclists.org/oss-sec/2016/q2/604

Comment 1 Adam Mariš 2016-09-12 08:32:29 UTC
Created thunderbird tracking bugs for this issue:

Affects: fedora-all [bug 1375122]

Comment 2 Adam Mariš 2016-09-12 08:32:37 UTC
Created libical tracking bugs for this issue:

Affects: fedora-all [bug 1375121]
Affects: epel-5 [bug 1375123]

Comment 6 Doran Moppert 2019-01-29 23:32:10 UTC
External References:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-03/

Comment 10 errata-xmlrpc 2019-02-04 20:41:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0269 https://access.redhat.com/errata/RHSA-2019:0269

Comment 11 errata-xmlrpc 2019-02-04 20:42:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0270 https://access.redhat.com/errata/RHSA-2019:0270


Note You need to log in before you can comment on or make changes to this bug.